Wednesday, February 22, 2012

You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5 SP1

While installing SQL server 2012 RC0 on a Windows server 2008 R2 machine You might get an error telling you to install .Net 3.5 SP1.


Although I see it installed and did all the windows updates and .NET 4.0 is even installed.
So when you go to the download site and try to install it.

http://www.microsoft.com/download/en/confirmation.aspx?id=22

You get another error....



It seems that Windows server 2008 R2 comes pre-installed but not configured or enabled.

You just need to go to Sever Manager ---> Features--->Add a feature .  and enable it...








Or run that command... %windir%\system32\ocsetup.exe NetFx3  to configure it too.

Hope that helps someone...